Package wx :: Module media :: Class MediaCtrl

[frames | no frames]

## Type MediaCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            MediaCtrl

Proxy of C++ MediaCtrl class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
wxFileOffset | `GetDownloadProgress(self)`
wxFileOffset | `GetDownloadTotal(self)`
double | `GetPlaybackRate(self)`
int | `GetState(self)`
double | `GetVolume(self)`
wxFileOffset | `Length(self)`
bool | `Load(self, fileName)`
bool | `LoadFromURI(self, fileName)`
bool | `LoadURI(self, fileName)`
bool | `LoadURIWithProxy(self, fileName, proxy)`
bool | `Pause(self)`
bool | `Play(self)`
wxFileOffset | `Seek(self, where, mode)`
bool | `SetPlaybackRate(self, dRate)`
bool | `SetVolume(self, dVolume)`
bool | `ShowPlayerControls(self, flags)`
bool | `Stop(self)`
wxFileOffset | `Tell(self)`

Property Summary
| `DownloadProgress`: See `GetDownloadProgress`
| `DownloadTotal`: See `GetDownloadTotal`
| `PlaybackRate`: See `GetPlaybackRate` and `SetPlaybackRate`
| `State`: See `GetState`
| `thisown`: The membership flag
| `Volume`: See `GetVolume` and `SetVolume`

Instance Method Details

### __init__(self, parent, id=-1, fileName=EmptyString, pos=DefaultPosition, size=DefaultSize, style=0, szBackend=EmptyString, validator=DefaultValidator, name=MediaCtrlNameStr)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.Control.__init__` (inherited documentation)

### Create(self, parent, id=-1, fileName=EmptyString, pos=DefaultPosition, size=DefaultSize, style=0, szBackend=EmptyString, validator=DefaultValidator, name=MediaCtrlNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

Property Details

### DownloadProgress

See `GetDownloadProgress`

  Get Method:
    `GetDownloadProgress`(self)

### DownloadTotal

See `GetDownloadTotal`

  Get Method:
    `GetDownloadTotal`(self)

### PlaybackRate

See `GetPlaybackRate` and `SetPlaybackRate`

  Get Method:
    `GetPlaybackRate`(self)
  Set Method:
    `SetPlaybackRate`(self, dRate)

### State

See `GetState`

  Get Method:
    `GetState`(self)

### thisown

The membership flag

  Get Method:
    unknown--1272600900(...)
  Set Method:
    unknown--1272600844(...)

### Volume

See `GetVolume` and `SetVolume`

  Get Method:
    `GetVolume`(self)
  Set Method:
    `SetVolume`(self, dVolume)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:16 2007 | http://epydoc.sf.net